Subject: (none)

From: [email-masked] (Thomas N Taylor)
Date: 18 Sep 1995 08:21:20 -0700

Hi symbionts: Please change my e-mail address to: [email-masked] 
and postal address to: Thomas N. Taylor, Department of Botany, Haworth Hall, 
University of Kansas, Lawrence, Kansas 66044. Both reflect my change of 
address. TNT